package com.brilliance.isc.esb.newmodel;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class PeripheralResponse<DT> {

    private DT data;

    private Error error;

    public void reset() {
        if (error == null) {
            error = new Error("AAAAAAA","","交易成功","");
        }
    }
}
